ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.33 by root, Fri Aug 13 03:36:56 2004 UTC vs.
Revision 1.43 by root, Mon Dec 20 16:47:14 2004 UTC

465#endif 465#endif
466#if HAVE_UNISTD_H 466#if HAVE_UNISTD_H
467# include <unistd.h> 467# include <unistd.h>
468#endif" 468#endif"
469 469
470ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 470ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
471ac_subst_files='MCOMMON' 471ac_subst_files='MCOMMON'
472 472
473# Initialize some variables set by options. 473# Initialize some variables set by options.
474ac_init_help= 474ac_init_help=
475ac_init_version=false 475ac_init_version=false
1031 NOTE: this option is order dependent 1031 NOTE: this option is order dependent
1032 NOTE: automatically enabled with --enable-shared 1032 NOTE: automatically enabled with --enable-shared
1033 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1033 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1034 --enable-combining enable composition of base and combining characters 1034 --enable-combining enable composition of base and combining characters
1035 --enable-xft enable xft support on systems that have it 1035 --enable-xft enable xft support on systems that have it
1036 --enable-font-styles enable bold and italic support
1036 --enable-utmp enable utmp (utmpx) support 1037 --enable-utmp enable utmp (utmpx) support
1037 --enable-wtmp enable wtmp (wtmpx) support (requires --enable-utmp) 1038 --enable-wtmp enable wtmp (wtmpx) support (requires --enable-utmp)
1038 --enable-lastlog enable lastlog support (requires --enable-utmp) 1039 --enable-lastlog enable lastlog support (requires --enable-utmp)
1039 --enable-xpm-background enable XPM background pixmaps 1040 --enable-xpm-background enable XPM background pixmaps
1040 --enable-transparency enable transparent backgrounds 1041 --enable-transparency enable transparent backgrounds
1054 --enable-xgetdefault enable resources via X instead of our small version 1055 --enable-xgetdefault enable resources via X instead of our small version
1055 --enable-8bitctrls enable 8 bit control sequences (not recommended) 1056 --enable-8bitctrls enable 8 bit control sequences (not recommended)
1056 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 1057 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
1057 --enable-strings enable some replacement system functions 1058 --enable-strings enable some replacement system functions
1058 --disable-swapscreen disable swap screen support 1059 --disable-swapscreen disable swap screen support
1060 --enable-iso14755 enable support for extended ISO 14755 modes
1059 --enable-frills enable support for rarely used features 1061 --enable-frills enable support for rarely used features
1060 --enable-linespace enable support for linespace 1062 --enable-linespace enable support for linespace
1061 --enable-24bit enable support for using 24bit visuals if available 1063 --enable-24bit enable support for using 24bit visuals if available
1062 --enable-keepscrolling enable continual scrolling on scrollbar arrow press 1064 --enable-keepscrolling enable continual scrolling on scrollbar arrow press
1063 --enable-selectionscrolling enable scrolling during selections 1065 --enable-selectionscrolling enable scrolling during selections
1065 --enable-slipwheeling enable slip wheel scrolling (requires previous) 1067 --enable-slipwheeling enable slip wheel scrolling (requires previous)
1066 --enable-dmalloc enable Gray Watson's malloc - for debugging use 1068 --enable-dmalloc enable Gray Watson's malloc - for debugging use
1067 --enable-dlmalloc enable Doug Lea's malloc - for production use 1069 --enable-dlmalloc enable Doug Lea's malloc - for production use
1068 NOTE: enable only one malloc package 1070 NOTE: enable only one malloc package
1069 --enable-smart-resize enable smart growth/shrink behaviour 1071 --enable-smart-resize enable smart growth/shrink behaviour
1070 --enable-256-color enable 256-color support
1071 --enable-cursor-blink enable blinking cursor 1072 --enable-cursor-blink enable blinking cursor
1072 --enable-text-blink enable blinking text 1073 --enable-text-blink enable blinking text
1073 --enable-pointer-blank enable pointer blank when typing or inactive pointer 1074 --enable-pointer-blank enable pointer blank when typing or inactive pointer
1074 1075
1075Optional Packages: 1076Optional Packages:
1076 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 1077 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1077 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 1078 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1078 --with-gnu-ld assume the C compiler uses GNU ld default=no 1079 --with-gnu-ld assume the C compiler uses GNU ld default=no
1079 --with-pic try to use only PIC/non-PIC objects default=use both 1080 --with-pic try to use only PIC/non-PIC objects default=use both
1080 --with-codesets=NAME,.. compile in additional codesets (jp,jp_ext,kr,cn,cn_ext,all) 1081 --with-codesets=NAME,.. compile in additional codesets (jp,jp_ext,kr,zh,zh_ext,all)
1081 --with-res-name=NAME use this as default resource name (default: urxvt) 1082 --with-res-name=NAME use this as default resource name (default: urxvt)
1082 --with-res-class=CLASS use this as the resource class (default: URxvt) 1083 --with-res-class=CLASS use this as the resource class (default: URxvt)
1083 --with-name=NAME set the basename for the installed binaries (default: urxvt) 1084 --with-name=NAME set the basename for the installed binaries (default: urxvt)
1084 --with-term=NAME set the terminal to NAME (default: rxvt) 1085 --with-term=NAME set the terminal to NAME (default: rxvt)
1085 --with-terminfo=PATH set the path to the terminfo tree to PATH 1086 --with-terminfo=PATH set the path to the terminfo tree to PATH
3281 3282
3282fi 3283fi
3283LINKER=$LINKER 3284LINKER=$LINKER
3284 3285
3285 3286
3286CPPFLAGS="-D_GNU_SOURCE -D_XOPEN_SOURCE" 3287CPPFLAGS="-D_GNU_SOURCE -D_XOPEN_SOURCE=2"
3287 3288
3288 3289
3289ac_ext=cc 3290ac_ext=cc
3290ac_cpp='$CXXCPP $CPPFLAGS' 3291ac_cpp='$CXXCPP $CPPFLAGS'
3291ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3292ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5237# Some flags need to be propagated to the compiler or linker for good 5238# Some flags need to be propagated to the compiler or linker for good
5238# libtool support. 5239# libtool support.
5239case "$host" in 5240case "$host" in
5240*-*-irix6*) 5241*-*-irix6*)
5241 # Find out which ABI we are using. 5242 # Find out which ABI we are using.
5242 echo '#line 5242 "configure"' > conftest.$ac_ext 5243 echo '#line 5243 "configure"' > conftest.$ac_ext
5243 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 5244 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5244 (eval $ac_compile) 2>&5 5245 (eval $ac_compile) 2>&5
5245 ac_status=$? 5246 ac_status=$?
5246 echo "$as_me:$LINENO: \$? = $ac_status" >&5 5247 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5247 (exit $ac_status); }; then 5248 (exit $ac_status); }; then
5788# builds. 5789# builds.
5789chmod -w . 5790chmod -w .
5790save_CFLAGS="$CFLAGS" 5791save_CFLAGS="$CFLAGS"
5791CFLAGS="$CFLAGS -o out/conftest2.$ac_objext" 5792CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
5792compiler_c_o=no 5793compiler_c_o=no
5793if { (eval echo configure:5793: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then 5794if { (eval echo configure:5794: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
5794 # The compiler can only warn and ignore the option if not recognized 5795 # The compiler can only warn and ignore the option if not recognized
5795 # So say no if there are warnings 5796 # So say no if there are warnings
5796 if test -s out/conftest.err; then 5797 if test -s out/conftest.err; then
5797 compiler_c_o=no 5798 compiler_c_o=no
5798 else 5799 else
7404 lt_cv_dlopen_self=cross 7405 lt_cv_dlopen_self=cross
7405else 7406else
7406 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 7407 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7407 lt_status=$lt_dlunknown 7408 lt_status=$lt_dlunknown
7408 cat > conftest.$ac_ext <<EOF 7409 cat > conftest.$ac_ext <<EOF
7409#line 7409 "configure" 7410#line 7410 "configure"
7410#include "confdefs.h" 7411#include "confdefs.h"
7411 7412
7412#if HAVE_DLFCN_H 7413#if HAVE_DLFCN_H
7413#include <dlfcn.h> 7414#include <dlfcn.h>
7414#endif 7415#endif
7502 lt_cv_dlopen_self_static=cross 7503 lt_cv_dlopen_self_static=cross
7503else 7504else
7504 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 7505 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7505 lt_status=$lt_dlunknown 7506 lt_status=$lt_dlunknown
7506 cat > conftest.$ac_ext <<EOF 7507 cat > conftest.$ac_ext <<EOF
7507#line 7507 "configure" 7508#line 7508 "configure"
7508#include "confdefs.h" 7509#include "confdefs.h"
7509 7510
7510#if HAVE_DLFCN_H 7511#if HAVE_DLFCN_H
7511#include <dlfcn.h> 7512#include <dlfcn.h>
7512#endif 7513#endif
8258support_xpm=no 8259support_xpm=no
8259support_xft=no 8260support_xft=no
8260support_unicode3=no 8261support_unicode3=no
8261support_combining=no 8262support_combining=no
8262support_8bitctrls=no 8263support_8bitctrls=no
8264support_iso14755=no
8265support_styles=no
8263codesets= 8266codesets=
8264 8267
8265 8268
8266if test "x$enable_shared" = xyes; then 8269if test "x$enable_shared" = xyes; then
8267 8270
8302 support_xpm=yes 8305 support_xpm=yes
8303 support_xft=yes 8306 support_xft=yes
8304 support_unicode3=yes 8307 support_unicode3=yes
8305 support_combining=yes 8308 support_combining=yes
8306 #support_8bitctrls=yes 8309 #support_8bitctrls=yes
8310 support_iso14755=yes
8311 support_styles=yes
8307 codesets=all 8312 codesets=all
8308 fi 8313 fi
8309fi; 8314fi;
8310 8315
8311# Check whether --enable-unicode3 or --disable-unicode3 was given. 8316# Check whether --enable-unicode3 or --disable-unicode3 was given.
8312if test "${enable_unicode3+set}" = set; then 8317if test "${enable_unicode3+set}" = set; then
8313 enableval="$enable_unicode3" 8318 enableval="$enable_unicode3"
8314 if test x$enableval = xyes -o x$enableval = xno; then 8319 if test x$enableval = xyes -o x$enableval = xno; then
8315 support_unicode3=yes 8320 support_unicode3=$enableval
8316 fi 8321 fi
8317fi; 8322fi;
8318 8323
8319# Check whether --enable-combining or --disable-combining was given. 8324# Check whether --enable-combining or --disable-combining was given.
8320if test "${enable_combining+set}" = set; then 8325if test "${enable_combining+set}" = set; then
8321 enableval="$enable_combining" 8326 enableval="$enable_combining"
8322 if test x$enableval = xyes -o x$enableval = xno; then 8327 if test x$enableval = xyes -o x$enableval = xno; then
8323 support_combining=yes 8328 support_combining=$enableval
8324 fi 8329 fi
8325fi; 8330fi;
8326 8331
8327# Check whether --enable-xft or --disable-xft was given. 8332# Check whether --enable-xft or --disable-xft was given.
8328if test "${enable_xft+set}" = set; then 8333if test "${enable_xft+set}" = set; then
8329 enableval="$enable_xft" 8334 enableval="$enable_xft"
8330 if test x$enableval = xyes -o x$enableval = xno; then 8335 if test x$enableval = xyes -o x$enableval = xno; then
8331 support_xft=yes 8336 support_xft=$enableval
8337 fi
8338fi;
8339
8340# Check whether --enable-font-styles or --disable-font-styles was given.
8341if test "${enable_font_styles+set}" = set; then
8342 enableval="$enable_font_styles"
8343 if test x$enableval = xyes -o x$enableval = xno; then
8344 support_styles=$enableval
8332 fi 8345 fi
8333fi; 8346fi;
8334 8347
8335# Check whether --enable-utmp or --disable-utmp was given. 8348# Check whether --enable-utmp or --disable-utmp was given.
8336if test "${enable_utmp+set}" = set; then 8349if test "${enable_utmp+set}" = set; then
8517 8530
8518# Check whether --enable-8bitctrls or --disable-8bitctrls was given. 8531# Check whether --enable-8bitctrls or --disable-8bitctrls was given.
8519if test "${enable_8bitctrls+set}" = set; then 8532if test "${enable_8bitctrls+set}" = set; then
8520 enableval="$enable_8bitctrls" 8533 enableval="$enable_8bitctrls"
8521 if test x$enableval = xyes -o x$enableval = xno; then 8534 if test x$enableval = xyes -o x$enableval = xno; then
8522 support_8bitctrls=yes 8535 support_8bitctrls=$enableval
8523 fi 8536 fi
8524fi; 8537fi;
8525 8538
8526RESFALLBACK=Rxvt 8539RESFALLBACK=Rxvt
8527# Check whether --enable-fallback or --disable-fallback was given. 8540# Check whether --enable-fallback or --disable-fallback was given.
8573# Check whether --with-name or --without-name was given. 8586# Check whether --with-name or --without-name was given.
8574if test "${with_name+set}" = set; then 8587if test "${with_name+set}" = set; then
8575 withval="$with_name" 8588 withval="$with_name"
8576 RXVTNAME="$withval" 8589 RXVTNAME="$withval"
8577fi; 8590fi;
8591
8592cat >>confdefs.h <<_ACEOF
8593#define RXVTNAME "$RXVTNAME"
8594_ACEOF
8595
8578 8596
8579RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"` 8597RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"`
8580 8598
8581 8599
8582# Check whether --enable-strings or --disable-strings was given. 8600# Check whether --enable-strings or --disable-strings was given.
8594 8612
8595cat >>confdefs.h <<\_ACEOF 8613cat >>confdefs.h <<\_ACEOF
8596#define NO_SECONDARY_SCREEN 1 8614#define NO_SECONDARY_SCREEN 1
8597_ACEOF 8615_ACEOF
8598 8616
8617 fi
8618fi;
8619
8620# Check whether --enable-iso14755 or --disable-iso14755 was given.
8621if test "${enable_iso14755+set}" = set; then
8622 enableval="$enable_iso14755"
8623 if test x$enableval = xyes -o x$enableval = xno; then
8624 support_iso14755=$enableval
8599 fi 8625 fi
8600fi; 8626fi;
8601 8627
8602# Check whether --enable-frills or --disable-frills was given. 8628# Check whether --enable-frills or --disable-frills was given.
8603if test "${enable_frills+set}" = set; then 8629if test "${enable_frills+set}" = set; then
8682 enableval="$enable_smart_resize" 8708 enableval="$enable_smart_resize"
8683 if test x$enableval = xyes; then 8709 if test x$enableval = xyes; then
8684 8710
8685cat >>confdefs.h <<\_ACEOF 8711cat >>confdefs.h <<\_ACEOF
8686#define SMART_RESIZE 1 8712#define SMART_RESIZE 1
8687_ACEOF
8688
8689 fi
8690fi;
8691
8692# Check whether --enable-256-color or --disable-256-color was given.
8693if test "${enable_256_color+set}" = set; then
8694 enableval="$enable_256_color"
8695 if test x$enableval = xyes; then
8696
8697cat >>confdefs.h <<\_ACEOF
8698#define TTY_256COLOR 1
8699_ACEOF 8713_ACEOF
8700 8714
8701 fi 8715 fi
8702fi; 8716fi;
8703 8717
9077TBL=$ac_cv_path_TBL 9091TBL=$ac_cv_path_TBL
9078 9092
9079if test -n "$TBL"; then 9093if test -n "$TBL"; then
9080 echo "$as_me:$LINENO: result: $TBL" >&5 9094 echo "$as_me:$LINENO: result: $TBL" >&5
9081echo "${ECHO_T}$TBL" >&6 9095echo "${ECHO_T}$TBL" >&6
9096else
9097 echo "$as_me:$LINENO: result: no" >&5
9098echo "${ECHO_T}no" >&6
9099fi
9100
9101# Extract the first word of "tic", so it can be a program name with args.
9102set dummy tic; ac_word=$2
9103echo "$as_me:$LINENO: checking for $ac_word" >&5
9104echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
9105if test "${ac_cv_path_TIC+set}" = set; then
9106 echo $ECHO_N "(cached) $ECHO_C" >&6
9107else
9108 case $TIC in
9109 [\\/]* | ?:[\\/]*)
9110 ac_cv_path_TIC="$TIC" # Let the user override the test with a path.
9111 ;;
9112 *)
9113 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
9114for as_dir in $PATH
9115do
9116 IFS=$as_save_IFS
9117 test -z "$as_dir" && as_dir=.
9118 for ac_exec_ext in '' $ac_executable_extensions; do
9119 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
9120 ac_cv_path_TIC="$as_dir/$ac_word$ac_exec_ext"
9121 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
9122 break 2
9123 fi
9124done
9125done
9126
9127 ;;
9128esac
9129fi
9130TIC=$ac_cv_path_TIC
9131
9132if test -n "$TIC"; then
9133 echo "$as_me:$LINENO: result: $TIC" >&5
9134echo "${ECHO_T}$TIC" >&6
9082else 9135else
9083 echo "$as_me:$LINENO: result: no" >&5 9136 echo "$as_me:$LINENO: result: no" >&5
9084echo "${ECHO_T}no" >&6 9137echo "${ECHO_T}no" >&6
9085fi 9138fi
9086 9139
11727_ACEOF 11780_ACEOF
11728 11781
11729fi 11782fi
11730 11783
11731 11784
11732
11733echo "$as_me:$LINENO: checking for char" >&5
11734echo $ECHO_N "checking for char... $ECHO_C" >&6
11735if test "${ac_cv_type_char+set}" = set; then
11736 echo $ECHO_N "(cached) $ECHO_C" >&6
11737else
11738 cat >conftest.$ac_ext <<_ACEOF
11739/* confdefs.h. */
11740_ACEOF
11741cat confdefs.h >>conftest.$ac_ext
11742cat >>conftest.$ac_ext <<_ACEOF
11743/* end confdefs.h. */
11744$ac_includes_default
11745int
11746main ()
11747{
11748if ((char *) 0)
11749 return 0;
11750if (sizeof (char))
11751 return 0;
11752 ;
11753 return 0;
11754}
11755_ACEOF
11756rm -f conftest.$ac_objext
11757if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11758 (eval $ac_compile) 2>conftest.er1
11759 ac_status=$?
11760 grep -v '^ *+' conftest.er1 >conftest.err
11761 rm -f conftest.er1
11762 cat conftest.err >&5
11763 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11764 (exit $ac_status); } &&
11765 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11766 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11767 (eval $ac_try) 2>&5
11768 ac_status=$?
11769 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11770 (exit $ac_status); }; } &&
11771 { ac_try='test -s conftest.$ac_objext'
11772 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11773 (eval $ac_try) 2>&5
11774 ac_status=$?
11775 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11776 (exit $ac_status); }; }; then
11777 ac_cv_type_char=yes
11778else
11779 echo "$as_me: failed program was:" >&5
11780sed 's/^/| /' conftest.$ac_ext >&5
11781
11782ac_cv_type_char=no
11783fi
11784rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11785fi
11786echo "$as_me:$LINENO: result: $ac_cv_type_char" >&5
11787echo "${ECHO_T}$ac_cv_type_char" >&6
11788
11789echo "$as_me:$LINENO: checking size of char" >&5
11790echo $ECHO_N "checking size of char... $ECHO_C" >&6
11791if test "${ac_cv_sizeof_char+set}" = set; then
11792 echo $ECHO_N "(cached) $ECHO_C" >&6
11793else
11794 if test "$ac_cv_type_char" = yes; then
11795 # The cast to unsigned long works around a bug in the HP C Compiler
11796 # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
11797 # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
11798 # This bug is HP SR number 8606223364.
11799 if test "$cross_compiling" = yes; then
11800 # Depending upon the size, compute the lo and hi bounds.
11801cat >conftest.$ac_ext <<_ACEOF
11802/* confdefs.h. */
11803_ACEOF
11804cat confdefs.h >>conftest.$ac_ext
11805cat >>conftest.$ac_ext <<_ACEOF
11806/* end confdefs.h. */
11807$ac_includes_default
11808int
11809main ()
11810{
11811static int test_array [1 - 2 * !(((long) (sizeof (char))) >= 0)];
11812test_array [0] = 0
11813
11814 ;
11815 return 0;
11816}
11817_ACEOF
11818rm -f conftest.$ac_objext
11819if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11820 (eval $ac_compile) 2>conftest.er1
11821 ac_status=$?
11822 grep -v '^ *+' conftest.er1 >conftest.err
11823 rm -f conftest.er1
11824 cat conftest.err >&5
11825 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11826 (exit $ac_status); } &&
11827 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11828 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11829 (eval $ac_try) 2>&5
11830 ac_status=$?
11831 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11832 (exit $ac_status); }; } &&
11833 { ac_try='test -s conftest.$ac_objext'
11834 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11835 (eval $ac_try) 2>&5
11836 ac_status=$?
11837 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11838 (exit $ac_status); }; }; then
11839 ac_lo=0 ac_mid=0
11840 while :; do
11841 cat >conftest.$ac_ext <<_ACEOF
11842/* confdefs.h. */
11843_ACEOF
11844cat confdefs.h >>conftest.$ac_ext
11845cat >>conftest.$ac_ext <<_ACEOF
11846/* end confdefs.h. */
11847$ac_includes_default
11848int
11849main ()
11850{
11851static int test_array [1 - 2 * !(((long) (sizeof (char))) <= $ac_mid)];
11852test_array [0] = 0
11853
11854 ;
11855 return 0;
11856}
11857_ACEOF
11858rm -f conftest.$ac_objext
11859if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11860 (eval $ac_compile) 2>conftest.er1
11861 ac_status=$?
11862 grep -v '^ *+' conftest.er1 >conftest.err
11863 rm -f conftest.er1
11864 cat conftest.err >&5
11865 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11866 (exit $ac_status); } &&
11867 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11868 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11869 (eval $ac_try) 2>&5
11870 ac_status=$?
11871 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11872 (exit $ac_status); }; } &&
11873 { ac_try='test -s conftest.$ac_objext'
11874 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11875 (eval $ac_try) 2>&5
11876 ac_status=$?
11877 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11878 (exit $ac_status); }; }; then
11879 ac_hi=$ac_mid; break
11880else
11881 echo "$as_me: failed program was:" >&5
11882sed 's/^/| /' conftest.$ac_ext >&5
11883
11884ac_lo=`expr $ac_mid + 1`
11885 if test $ac_lo -le $ac_mid; then
11886 ac_lo= ac_hi=
11887 break
11888 fi
11889 ac_mid=`expr 2 '*' $ac_mid + 1`
11890fi
11891rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11892 done
11893else
11894 echo "$as_me: failed program was:" >&5
11895sed 's/^/| /' conftest.$ac_ext >&5
11896
11897cat >conftest.$ac_ext <<_ACEOF
11898/* confdefs.h. */
11899_ACEOF
11900cat confdefs.h >>conftest.$ac_ext
11901cat >>conftest.$ac_ext <<_ACEOF
11902/* end confdefs.h. */
11903$ac_includes_default
11904int
11905main ()
11906{
11907static int test_array [1 - 2 * !(((long) (sizeof (char))) < 0)];
11908test_array [0] = 0
11909
11910 ;
11911 return 0;
11912}
11913_ACEOF
11914rm -f conftest.$ac_objext
11915if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11916 (eval $ac_compile) 2>conftest.er1
11917 ac_status=$?
11918 grep -v '^ *+' conftest.er1 >conftest.err
11919 rm -f conftest.er1
11920 cat conftest.err >&5
11921 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11922 (exit $ac_status); } &&
11923 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11924 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11925 (eval $ac_try) 2>&5
11926 ac_status=$?
11927 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11928 (exit $ac_status); }; } &&
11929 { ac_try='test -s conftest.$ac_objext'
11930 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11931 (eval $ac_try) 2>&5
11932 ac_status=$?
11933 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11934 (exit $ac_status); }; }; then
11935 ac_hi=-1 ac_mid=-1
11936 while :; do
11937 cat >conftest.$ac_ext <<_ACEOF
11938/* confdefs.h. */
11939_ACEOF
11940cat confdefs.h >>conftest.$ac_ext
11941cat >>conftest.$ac_ext <<_ACEOF
11942/* end confdefs.h. */
11943$ac_includes_default
11944int
11945main ()
11946{
11947static int test_array [1 - 2 * !(((long) (sizeof (char))) >= $ac_mid)];
11948test_array [0] = 0
11949
11950 ;
11951 return 0;
11952}
11953_ACEOF
11954rm -f conftest.$ac_objext
11955if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11956 (eval $ac_compile) 2>conftest.er1
11957 ac_status=$?
11958 grep -v '^ *+' conftest.er1 >conftest.err
11959 rm -f conftest.er1
11960 cat conftest.err >&5
11961 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11962 (exit $ac_status); } &&
11963 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11964 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11965 (eval $ac_try) 2>&5
11966 ac_status=$?
11967 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11968 (exit $ac_status); }; } &&
11969 { ac_try='test -s conftest.$ac_objext'
11970 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11971 (eval $ac_try) 2>&5
11972 ac_status=$?
11973 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11974 (exit $ac_status); }; }; then
11975 ac_lo=$ac_mid; break
11976else
11977 echo "$as_me: failed program was:" >&5
11978sed 's/^/| /' conftest.$ac_ext >&5
11979
11980ac_hi=`expr '(' $ac_mid ')' - 1`
11981 if test $ac_mid -le $ac_hi; then
11982 ac_lo= ac_hi=
11983 break
11984 fi
11985 ac_mid=`expr 2 '*' $ac_mid`
11986fi
11987rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11988 done
11989else
11990 echo "$as_me: failed program was:" >&5
11991sed 's/^/| /' conftest.$ac_ext >&5
11992
11993ac_lo= ac_hi=
11994fi
11995rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11996fi
11997rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11998# Binary search between lo and hi bounds.
11999while test "x$ac_lo" != "x$ac_hi"; do
12000 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
12001 cat >conftest.$ac_ext <<_ACEOF
12002/* confdefs.h. */
12003_ACEOF
12004cat confdefs.h >>conftest.$ac_ext
12005cat >>conftest.$ac_ext <<_ACEOF
12006/* end confdefs.h. */
12007$ac_includes_default
12008int
12009main ()
12010{
12011static int test_array [1 - 2 * !(((long) (sizeof (char))) <= $ac_mid)];
12012test_array [0] = 0
12013
12014 ;
12015 return 0;
12016}
12017_ACEOF
12018rm -f conftest.$ac_objext
12019if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12020 (eval $ac_compile) 2>conftest.er1
12021 ac_status=$?
12022 grep -v '^ *+' conftest.er1 >conftest.err
12023 rm -f conftest.er1
12024 cat conftest.err >&5
12025 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12026 (exit $ac_status); } &&
12027 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12028 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12029 (eval $ac_try) 2>&5
12030 ac_status=$?
12031 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12032 (exit $ac_status); }; } &&
12033 { ac_try='test -s conftest.$ac_objext'
12034 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12035 (eval $ac_try) 2>&5
12036 ac_status=$?
12037 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12038 (exit $ac_status); }; }; then
12039 ac_hi=$ac_mid
12040else
12041 echo "$as_me: failed program was:" >&5
12042sed 's/^/| /' conftest.$ac_ext >&5
12043
12044ac_lo=`expr '(' $ac_mid ')' + 1`
12045fi
12046rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12047done
12048case $ac_lo in
12049?*) ac_cv_sizeof_char=$ac_lo;;
12050'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (char), 77
12051See \`config.log' for more details." >&5
12052echo "$as_me: error: cannot compute sizeof (char), 77
12053See \`config.log' for more details." >&2;}
12054 { (exit 1); exit 1; }; } ;;
12055esac
12056else
12057 if test "$cross_compiling" = yes; then
12058 { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
12059echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
12060 { (exit 1); exit 1; }; }
12061else
12062 cat >conftest.$ac_ext <<_ACEOF
12063/* confdefs.h. */
12064_ACEOF
12065cat confdefs.h >>conftest.$ac_ext
12066cat >>conftest.$ac_ext <<_ACEOF
12067/* end confdefs.h. */
12068$ac_includes_default
12069long longval () { return (long) (sizeof (char)); }
12070unsigned long ulongval () { return (long) (sizeof (char)); }
12071#include <stdio.h>
12072#include <stdlib.h>
12073int
12074main ()
12075{
12076
12077 FILE *f = fopen ("conftest.val", "w");
12078 if (! f)
12079 exit (1);
12080 if (((long) (sizeof (char))) < 0)
12081 {
12082 long i = longval ();
12083 if (i != ((long) (sizeof (char))))
12084 exit (1);
12085 fprintf (f, "%ld\n", i);
12086 }
12087 else
12088 {
12089 unsigned long i = ulongval ();
12090 if (i != ((long) (sizeof (char))))
12091 exit (1);
12092 fprintf (f, "%lu\n", i);
12093 }
12094 exit (ferror (f) || fclose (f) != 0);
12095
12096 ;
12097 return 0;
12098}
12099_ACEOF
12100rm -f conftest$ac_exeext
12101if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12102 (eval $ac_link) 2>&5
12103 ac_status=$?
12104 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12105 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
12106 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12107 (eval $ac_try) 2>&5
12108 ac_status=$?
12109 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12110 (exit $ac_status); }; }; then
12111 ac_cv_sizeof_char=`cat conftest.val`
12112else
12113 echo "$as_me: program exited with status $ac_status" >&5
12114echo "$as_me: failed program was:" >&5
12115sed 's/^/| /' conftest.$ac_ext >&5
12116
12117( exit $ac_status )
12118{ { echo "$as_me:$LINENO: error: cannot compute sizeof (char), 77
12119See \`config.log' for more details." >&5
12120echo "$as_me: error: cannot compute sizeof (char), 77
12121See \`config.log' for more details." >&2;}
12122 { (exit 1); exit 1; }; }
12123fi
12124rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
12125fi
12126fi
12127rm -f conftest.val
12128else
12129 ac_cv_sizeof_char=0
12130fi
12131fi
12132echo "$as_me:$LINENO: result: $ac_cv_sizeof_char" >&5
12133echo "${ECHO_T}$ac_cv_sizeof_char" >&6
12134cat >>confdefs.h <<_ACEOF
12135#define SIZEOF_CHAR $ac_cv_sizeof_char
12136_ACEOF
12137
12138
12139echo "$as_me:$LINENO: checking for short" >&5 11785echo "$as_me:$LINENO: checking for short" >&5
12140echo $ECHO_N "checking for short... $ECHO_C" >&6 11786echo $ECHO_N "checking for short... $ECHO_C" >&6
12141if test "${ac_cv_type_short+set}" = set; then 11787if test "${ac_cv_type_short+set}" = set; then
12142 echo $ECHO_N "(cached) $ECHO_C" >&6 11788 echo $ECHO_N "(cached) $ECHO_C" >&6
12143else 11789else
12943fi 12589fi
12944echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5 12590echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
12945echo "${ECHO_T}$ac_cv_sizeof_int" >&6 12591echo "${ECHO_T}$ac_cv_sizeof_int" >&6
12946cat >>confdefs.h <<_ACEOF 12592cat >>confdefs.h <<_ACEOF
12947#define SIZEOF_INT $ac_cv_sizeof_int 12593#define SIZEOF_INT $ac_cv_sizeof_int
12948_ACEOF
12949
12950
12951echo "$as_me:$LINENO: checking for long" >&5
12952echo $ECHO_N "checking for long... $ECHO_C" >&6
12953if test "${ac_cv_type_long+set}" = set; then
12954 echo $ECHO_N "(cached) $ECHO_C" >&6
12955else
12956 cat >conftest.$ac_ext <<_ACEOF
12957/* confdefs.h. */
12958_ACEOF
12959cat confdefs.h >>conftest.$ac_ext
12960cat >>conftest.$ac_ext <<_ACEOF
12961/* end confdefs.h. */
12962$ac_includes_default
12963int
12964main ()
12965{
12966if ((long *) 0)
12967 return 0;
12968if (sizeof (long))
12969 return 0;
12970 ;
12971 return 0;
12972}
12973_ACEOF
12974rm -f conftest.$ac_objext
12975if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12976 (eval $ac_compile) 2>conftest.er1
12977 ac_status=$?
12978 grep -v '^ *+' conftest.er1 >conftest.err
12979 rm -f conftest.er1
12980 cat conftest.err >&5
12981 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12982 (exit $ac_status); } &&
12983 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12984 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12985 (eval $ac_try) 2>&5
12986 ac_status=$?
12987 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12988 (exit $ac_status); }; } &&
12989 { ac_try='test -s conftest.$ac_objext'
12990 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12991 (eval $ac_try) 2>&5
12992 ac_status=$?
12993 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12994 (exit $ac_status); }; }; then
12995 ac_cv_type_long=yes
12996else
12997 echo "$as_me: failed program was:" >&5
12998sed 's/^/| /' conftest.$ac_ext >&5
12999
13000ac_cv_type_long=no
13001fi
13002rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13003fi
13004echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5
13005echo "${ECHO_T}$ac_cv_type_long" >&6
13006
13007echo "$as_me:$LINENO: checking size of long" >&5
13008echo $ECHO_N "checking size of long... $ECHO_C" >&6
13009if test "${ac_cv_sizeof_long+set}" = set; then
13010 echo $ECHO_N "(cached) $ECHO_C" >&6
13011else
13012 if test "$ac_cv_type_long" = yes; then
13013 # The cast to unsigned long works around a bug in the HP C Compiler
13014 # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
13015 # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
13016 # This bug is HP SR number 8606223364.
13017 if test "$cross_compiling" = yes; then
13018 # Depending upon the size, compute the lo and hi bounds.
13019cat >conftest.$ac_ext <<_ACEOF
13020/* confdefs.h. */
13021_ACEOF
13022cat confdefs.h >>conftest.$ac_ext
13023cat >>conftest.$ac_ext <<_ACEOF
13024/* end confdefs.h. */
13025$ac_includes_default
13026int
13027main ()
13028{
13029static int test_array [1 - 2 * !(((long) (sizeof (long))) >= 0)];
13030test_array [0] = 0
13031
13032 ;
13033 return 0;
13034}
13035_ACEOF
13036rm -f conftest.$ac_objext
13037if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13038 (eval $ac_compile) 2>conftest.er1
13039 ac_status=$?
13040 grep -v '^ *+' conftest.er1 >conftest.err
13041 rm -f conftest.er1
13042 cat conftest.err >&5
13043 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13044 (exit $ac_status); } &&
13045 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13046 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13047 (eval $ac_try) 2>&5
13048 ac_status=$?
13049 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13050 (exit $ac_status); }; } &&
13051 { ac_try='test -s conftest.$ac_objext'
13052 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13053 (eval $ac_try) 2>&5
13054 ac_status=$?
13055 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13056 (exit $ac_status); }; }; then
13057 ac_lo=0 ac_mid=0
13058 while :; do
13059 cat >conftest.$ac_ext <<_ACEOF
13060/* confdefs.h. */
13061_ACEOF
13062cat confdefs.h >>conftest.$ac_ext
13063cat >>conftest.$ac_ext <<_ACEOF
13064/* end confdefs.h. */
13065$ac_includes_default
13066int
13067main ()
13068{
13069static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
13070test_array [0] = 0
13071
13072 ;
13073 return 0;
13074}
13075_ACEOF
13076rm -f conftest.$ac_objext
13077if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13078 (eval $ac_compile) 2>conftest.er1
13079 ac_status=$?
13080 grep -v '^ *+' conftest.er1 >conftest.err
13081 rm -f conftest.er1
13082 cat conftest.err >&5
13083 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13084 (exit $ac_status); } &&
13085 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13086 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13087 (eval $ac_try) 2>&5
13088 ac_status=$?
13089 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13090 (exit $ac_status); }; } &&
13091 { ac_try='test -s conftest.$ac_objext'
13092 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13093 (eval $ac_try) 2>&5
13094 ac_status=$?
13095 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13096 (exit $ac_status); }; }; then
13097 ac_hi=$ac_mid; break
13098else
13099 echo "$as_me: failed program was:" >&5
13100sed 's/^/| /' conftest.$ac_ext >&5
13101
13102ac_lo=`expr $ac_mid + 1`
13103 if test $ac_lo -le $ac_mid; then
13104 ac_lo= ac_hi=
13105 break
13106 fi
13107 ac_mid=`expr 2 '*' $ac_mid + 1`
13108fi
13109rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13110 done
13111else
13112 echo "$as_me: failed program was:" >&5
13113sed 's/^/| /' conftest.$ac_ext >&5
13114
13115cat >conftest.$ac_ext <<_ACEOF
13116/* confdefs.h. */
13117_ACEOF
13118cat confdefs.h >>conftest.$ac_ext
13119cat >>conftest.$ac_ext <<_ACEOF
13120/* end confdefs.h. */
13121$ac_includes_default
13122int
13123main ()
13124{
13125static int test_array [1 - 2 * !(((long) (sizeof (long))) < 0)];
13126test_array [0] = 0
13127
13128 ;
13129 return 0;
13130}
13131_ACEOF
13132rm -f conftest.$ac_objext
13133if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13134 (eval $ac_compile) 2>conftest.er1
13135 ac_status=$?
13136 grep -v '^ *+' conftest.er1 >conftest.err
13137 rm -f conftest.er1
13138 cat conftest.err >&5
13139 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13140 (exit $ac_status); } &&
13141 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13142 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13143 (eval $ac_try) 2>&5
13144 ac_status=$?
13145 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13146 (exit $ac_status); }; } &&
13147 { ac_try='test -s conftest.$ac_objext'
13148 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13149 (eval $ac_try) 2>&5
13150 ac_status=$?
13151 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13152 (exit $ac_status); }; }; then
13153 ac_hi=-1 ac_mid=-1
13154 while :; do
13155 cat >conftest.$ac_ext <<_ACEOF
13156/* confdefs.h. */
13157_ACEOF
13158cat confdefs.h >>conftest.$ac_ext
13159cat >>conftest.$ac_ext <<_ACEOF
13160/* end confdefs.h. */
13161$ac_includes_default
13162int
13163main ()
13164{
13165static int test_array [1 - 2 * !(((long) (sizeof (long))) >= $ac_mid)];
13166test_array [0] = 0
13167
13168 ;
13169 return 0;
13170}
13171_ACEOF
13172rm -f conftest.$ac_objext
13173if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13174 (eval $ac_compile) 2>conftest.er1
13175 ac_status=$?
13176 grep -v '^ *+' conftest.er1 >conftest.err
13177 rm -f conftest.er1
13178 cat conftest.err >&5
13179 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13180 (exit $ac_status); } &&
13181 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13182 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13183 (eval $ac_try) 2>&5
13184 ac_status=$?
13185 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13186 (exit $ac_status); }; } &&
13187 { ac_try='test -s conftest.$ac_objext'
13188 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13189 (eval $ac_try) 2>&5
13190 ac_status=$?
13191 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13192 (exit $ac_status); }; }; then
13193 ac_lo=$ac_mid; break
13194else
13195 echo "$as_me: failed program was:" >&5
13196sed 's/^/| /' conftest.$ac_ext >&5
13197
13198ac_hi=`expr '(' $ac_mid ')' - 1`
13199 if test $ac_mid -le $ac_hi; then
13200 ac_lo= ac_hi=
13201 break
13202 fi
13203 ac_mid=`expr 2 '*' $ac_mid`
13204fi
13205rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13206 done
13207else
13208 echo "$as_me: failed program was:" >&5
13209sed 's/^/| /' conftest.$ac_ext >&5
13210
13211ac_lo= ac_hi=
13212fi
13213rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13214fi
13215rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13216# Binary search between lo and hi bounds.
13217while test "x$ac_lo" != "x$ac_hi"; do
13218 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
13219 cat >conftest.$ac_ext <<_ACEOF
13220/* confdefs.h. */
13221_ACEOF
13222cat confdefs.h >>conftest.$ac_ext
13223cat >>conftest.$ac_ext <<_ACEOF
13224/* end confdefs.h. */
13225$ac_includes_default
13226int
13227main ()
13228{
13229static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
13230test_array [0] = 0
13231
13232 ;
13233 return 0;
13234}
13235_ACEOF
13236rm -f conftest.$ac_objext
13237if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13238 (eval $ac_compile) 2>conftest.er1
13239 ac_status=$?
13240 grep -v '^ *+' conftest.er1 >conftest.err
13241 rm -f conftest.er1
13242 cat conftest.err >&5
13243 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13244 (exit $ac_status); } &&
13245 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13246 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13247 (eval $ac_try) 2>&5
13248 ac_status=$?
13249 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13250 (exit $ac_status); }; } &&
13251 { ac_try='test -s conftest.$ac_objext'
13252 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13253 (eval $ac_try) 2>&5
13254 ac_status=$?
13255 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13256 (exit $ac_status); }; }; then
13257 ac_hi=$ac_mid
13258else
13259 echo "$as_me: failed program was:" >&5
13260sed 's/^/| /' conftest.$ac_ext >&5
13261
13262ac_lo=`expr '(' $ac_mid ')' + 1`
13263fi
13264rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13265done
13266case $ac_lo in
13267?*) ac_cv_sizeof_long=$ac_lo;;
13268'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
13269See \`config.log' for more details." >&5
13270echo "$as_me: error: cannot compute sizeof (long), 77
13271See \`config.log' for more details." >&2;}
13272 { (exit 1); exit 1; }; } ;;
13273esac
13274else
13275 if test "$cross_compiling" = yes; then
13276 { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
13277echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
13278 { (exit 1); exit 1; }; }
13279else
13280 cat >conftest.$ac_ext <<_ACEOF
13281/* confdefs.h. */
13282_ACEOF
13283cat confdefs.h >>conftest.$ac_ext
13284cat >>conftest.$ac_ext <<_ACEOF
13285/* end confdefs.h. */
13286$ac_includes_default
13287long longval () { return (long) (sizeof (long)); }
13288unsigned long ulongval () { return (long) (sizeof (long)); }
13289#include <stdio.h>
13290#include <stdlib.h>
13291int
13292main ()
13293{
13294
13295 FILE *f = fopen ("conftest.val", "w");
13296 if (! f)
13297 exit (1);
13298 if (((long) (sizeof (long))) < 0)
13299 {
13300 long i = longval ();
13301 if (i != ((long) (sizeof (long))))
13302 exit (1);
13303 fprintf (f, "%ld\n", i);
13304 }
13305 else
13306 {
13307 unsigned long i = ulongval ();
13308 if (i != ((long) (sizeof (long))))
13309 exit (1);
13310 fprintf (f, "%lu\n", i);
13311 }
13312 exit (ferror (f) || fclose (f) != 0);
13313
13314 ;
13315 return 0;
13316}
13317_ACEOF
13318rm -f conftest$ac_exeext
13319if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13320 (eval $ac_link) 2>&5
13321 ac_status=$?
13322 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13323 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
13324 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13325 (eval $ac_try) 2>&5
13326 ac_status=$?
13327 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13328 (exit $ac_status); }; }; then
13329 ac_cv_sizeof_long=`cat conftest.val`
13330else
13331 echo "$as_me: program exited with status $ac_status" >&5
13332echo "$as_me: failed program was:" >&5
13333sed 's/^/| /' conftest.$ac_ext >&5
13334
13335( exit $ac_status )
13336{ { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
13337See \`config.log' for more details." >&5
13338echo "$as_me: error: cannot compute sizeof (long), 77
13339See \`config.log' for more details." >&2;}
13340 { (exit 1); exit 1; }; }
13341fi
13342rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
13343fi
13344fi
13345rm -f conftest.val
13346else
13347 ac_cv_sizeof_long=0
13348fi
13349fi
13350echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5
13351echo "${ECHO_T}$ac_cv_sizeof_long" >&6
13352cat >>confdefs.h <<_ACEOF
13353#define SIZEOF_LONG $ac_cv_sizeof_long
13354_ACEOF 12594_ACEOF
13355 12595
13356 12596
13357echo "$as_me:$LINENO: checking for long long" >&5 12597echo "$as_me:$LINENO: checking for long long" >&5
13358echo $ECHO_N "checking for long long... $ECHO_C" >&6 12598echo $ECHO_N "checking for long long... $ECHO_C" >&6
16447#define PTYCHAR2 "$pch2" 15687#define PTYCHAR2 "$pch2"
16448_ACEOF 15688_ACEOF
16449 15689
16450fi 15690fi
16451 15691
16452if test x$support_8bitctrls = xyes; then
16453
16454cat >>confdefs.h <<\_ACEOF
16455#define EIGHT_BIT_CONTROLS 1
16456_ACEOF
16457
16458fi
16459if test x$support_fading = xyes; then
16460
16461cat >>confdefs.h <<\_ACEOF
16462#define OFF_FOCUS_FADING 1
16463_ACEOF
16464
16465fi
16466if test x$support_tinting = xyes; then
16467
16468cat >>confdefs.h <<\_ACEOF
16469#define TINTING 1
16470_ACEOF
16471
16472fi
16473if test x$support_inheritpixmap = xyes; then
16474
16475cat >>confdefs.h <<\_ACEOF
16476#define TRANSPARENT 1
16477_ACEOF
16478
16479fi
16480if test x$support_keepscrolling = xno; then
16481
16482cat >>confdefs.h <<\_ACEOF
16483#define NO_SCROLLBAR_BUTTON_CONTINUAL_SCROLLING 1
16484_ACEOF
16485
16486fi
16487if test x$support_selectionscrolling = xyes; then
16488
16489cat >>confdefs.h <<\_ACEOF
16490#define SELECTION_SCROLLING 1
16491_ACEOF
16492
16493fi
16494if test x$support_menubar = xyes; then
16495
16496cat >>confdefs.h <<\_ACEOF
16497#define MENUBAR 1
16498_ACEOF
16499
16500fi
16501if test x$support_frills = xno; then
16502
16503cat >>confdefs.h <<\_ACEOF
16504#define NO_FRILLS 1
16505_ACEOF
16506
16507fi
16508if test x$support_linespace = xno; then
16509
16510cat >>confdefs.h <<\_ACEOF
16511#define NO_LINESPACE 1
16512_ACEOF
16513
16514fi
16515if test x$support_24bit = xyes; then
16516
16517cat >>confdefs.h <<\_ACEOF
16518#define PREFER_24BIT 1
16519_ACEOF
16520
16521fi
16522if test x$support_mousewheel = xyes; then
16523
16524cat >>confdefs.h <<\_ACEOF
16525#define MOUSE_WHEEL 1
16526_ACEOF
16527
16528fi
16529if test x$support_mouseslipwheel = xyes; then
16530
16531cat >>confdefs.h <<\_ACEOF
16532#define MOUSE_SLIP_WHEELING 1
16533_ACEOF
16534
16535fi
16536if test x$support_utmp = xyes; then
16537
16538cat >>confdefs.h <<\_ACEOF
16539#define UTMP_SUPPORT 1
16540_ACEOF
16541
16542fi
16543if test x$support_wtmp = xyes; then
16544
16545cat >>confdefs.h <<\_ACEOF
16546#define WTMP_SUPPORT 1
16547_ACEOF
16548
16549fi
16550if test x$support_lastlog = xyes; then
16551
16552cat >>confdefs.h <<\_ACEOF
16553#define LASTLOG_SUPPORT 1
16554_ACEOF
16555
16556fi
16557if test x$support_xim = xyes -o x$multichar_set = xyes; then
16558 if test x$rxvt_cv_func_xlocale = xyes; then
16559
16560cat >>confdefs.h <<\_ACEOF
16561#define USE_XIM 1
16562_ACEOF
16563
16564 fi
16565fi
16566if test x$support_xpm = xyes; then
16567
16568cat >>confdefs.h <<\_ACEOF
16569#define XPM_BACKGROUND 1
16570_ACEOF
16571
16572fi
16573if test x$support_scroll_rxvt = xyes; then
16574
16575cat >>confdefs.h <<\_ACEOF
16576#define RXVT_SCROLLBAR 1
16577_ACEOF
16578
16579 scrolltypes="rxvt"
16580fi
16581if test x$support_scroll_next = xyes; then
16582
16583cat >>confdefs.h <<\_ACEOF
16584#define NEXT_SCROLLBAR 1
16585_ACEOF
16586
16587 scrolltypes="$scrolltypes next"
16588fi
16589if test x$support_scroll_xterm = xyes; then
16590
16591cat >>confdefs.h <<\_ACEOF
16592#define XTERM_SCROLLBAR 1
16593_ACEOF
16594
16595 scrolltypes="$scrolltypes xterm"
16596fi
16597if test x$support_scroll_plain = xyes; then
16598
16599cat >>confdefs.h <<\_ACEOF
16600#define PLAIN_SCROLLBAR 1
16601_ACEOF
16602
16603 scrolltypes="$scrolltypes plain"
16604fi
16605if test x$support_pointer_blank = xyes; then
16606
16607cat >>confdefs.h <<\_ACEOF
16608#define POINTER_BLANK 1
16609_ACEOF
16610
16611fi
16612if test x$support_cursor_blink = xyes; then
16613
16614cat >>confdefs.h <<\_ACEOF
16615#define CURSOR_BLINK 1
16616_ACEOF
16617
16618fi
16619if test x$support_text_blink = xyes; then
16620
16621cat >>confdefs.h <<\_ACEOF
16622#define TEXT_BLINK 1
16623_ACEOF
16624
16625fi
16626if test x$support_unicode3 = xyes; then
16627
16628cat >>confdefs.h <<\_ACEOF
16629#define UNICODE_3 1
16630_ACEOF
16631
16632fi
16633if test x$support_combining = xyes; then
16634
16635cat >>confdefs.h <<\_ACEOF
16636#define ENABLE_COMBINING 1
16637_ACEOF
16638
16639fi
16640if test x$codesets = xall; then
16641 codesets=jp,jp-ext,kr,cn,cn-ext
16642fi
16643for codeset in `echo $codesets | tr "a-z,\\-" "A-Z _"`; do
16644
16645cat >>confdefs.h <<\_ACEOF
16646#define ENCODING_EU 1
16647_ACEOF
16648
16649
16650cat >>confdefs.h <<\_ACEOF
16651#define ENCODING_VN 1
16652_ACEOF
16653
16654 case "$codeset" in
16655 JP )
16656cat >>confdefs.h <<\_ACEOF
16657#define ENCODING_JP 1
16658_ACEOF
16659 ;;
16660 JP_EXT )
16661cat >>confdefs.h <<\_ACEOF
16662#define ENCODING_JP_EXT 1
16663_ACEOF
16664 ;;
16665 KR )
16666cat >>confdefs.h <<\_ACEOF
16667#define ENCODING_KR 1
16668_ACEOF
16669 ;;
16670 CN )
16671cat >>confdefs.h <<\_ACEOF
16672#define ENCODING_CN 1
16673_ACEOF
16674 ;;
16675 CN_EXT )
16676cat >>confdefs.h <<\_ACEOF
16677#define ENCODING_CN_EXT 1
16678_ACEOF
16679 ;;
16680 esac
16681done
16682
16683
16684CFLAGS=${CFLAGS--O}
16685LDFLAGS=${LDFLAGS--O}
16686
16687CPPFLAGS="$CPPFLAGS"
16688
16689
16690
16691
16692
16693
16694
16695if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
16696 DLIB=`echo $DLIB | sed "$R_TRANSLATE"`
16697 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
16698 X_LIBS=`echo $X_LIBS | sed "$R_TRANSLATE"`
16699 X_EXTRA_LIBS=`echo $X_EXTRA_LIBS | sed "$R_TRANSLATE"`
16700 XPM_LIBS=`echo $XPM_LIBS | sed "$R_TRANSLATE"`
16701fi
16702
16703
16704
16705
16706
16707if test x$support_addstrings = xno; then
16708
16709cat >>confdefs.h <<\_ACEOF
16710#define NO_STRINGS 1
16711_ACEOF
16712
16713fi
16714
16715MCOMMON=./autoconf/Make.common
16716
16717
16718test "$program_prefix" != NONE &&
16719 program_transform_name="s,^,$program_prefix,;$program_transform_name"
16720# Use a double $ so make ignores it.
16721test "$program_suffix" != NONE &&
16722 program_transform_name="s,\$,$program_suffix,;$program_transform_name"
16723# Double any \ or $. echo might interpret backslashes.
16724# By default was `s,x,x', remove it if useless.
16725cat <<\_ACEOF >conftest.sed
16726s/[\\$]/&&/g;s/;s,x,x,$//
16727_ACEOF
16728program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
16729rm conftest.sed
16730
16731
16732
16733
16734
16735if test "$ac_cv_header_stdint_h" = "yes" -o "$notset" = "dontmatch"; then
16736 include_stdint_h="#include <stdint.h>"
16737else
16738 include_stdint_h="/* #include <stdint.h> */"
16739fi
16740if test "$ac_cv_header_stdarg_h" = "yes" -o "$notset" = "dontmatch"; then
16741 include_stdarg_h="#include <cstdarg>"
16742else
16743 include_stdarg_h="/* #include <cstdarg> */"
16744fi
16745if test "$ac_cv_header_stdlib_h" = "yes" -o "$notset" = "dontmatch"; then
16746 include_stdlib_h="#include <cstdlib>"
16747else
16748 include_stdlib_h="/* #include <cstdlib> */"
16749fi
16750if test "$ac_cv_header_unistd_h" = "yes" -o "$notset" = "dontmatch"; then
16751 include_unistd_h="#include <unistd.h>"
16752else
16753 include_unistd_h="/* #include <unistd.h> */"
16754fi
16755if test "$ac_cv_header_string_h" = "yes" -o "$notset" = "dontmatch"; then
16756 include_string_h="#include <cstring>"
16757else
16758 include_string_h="/* #include <cstring> */"
16759fi
16760if test "$ac_cv_header_fcntl_h" = "yes" -o "$notset" = "dontmatch"; then
16761 include_fcntl_h="#include <fcntl.h>"
16762else
16763 include_fcntl_h="/* #include <fcntl.h> */"
16764fi
16765if test "$ac_cv_header_util_h" = "yes" -o "$notset" = "dontmatch"; then
16766 include_util_h="#include <util.h>"
16767else
16768 include_util_h="/* #include <util.h> */"
16769fi
16770if test "$ac_cv_header_assert_h" = "yes" -o "$notset" = "dontmatch"; then
16771 include_assert_h="#include <assert.h>"
16772else
16773 include_assert_h="/* #include <assert.h> */"
16774fi
16775if test "$rxvt_cv_header_sysioctl" = "yes" -o "$notset" = "dontmatch"; then
16776 include_sys_ioctl_h="#include <sys/ioctl.h>"
16777else
16778 include_sys_ioctl_h="/* #include <sys/ioctl.h> */"
16779fi
16780if test "$ac_cv_header_sys_select_h" = "yes" -o "$notset" = "dontmatch"; then
16781 include_sys_select_h="#include <sys/select.h>"
16782else
16783 include_sys_select_h="/* #include <sys/select.h> */"
16784fi
16785if test "$ac_cv_header_sys_strredir_h" = "yes" -o "$notset" = "dontmatch"; then
16786 include_sys_strredir_h="#include <sys/strredir.h>"
16787else
16788 include_sys_strredir_h="/* #include <sys/strredir.h> */"
16789fi
16790if test "$ac_cv_header_sys_time_h" = "yes" -o "$notset" = "dontmatch"; then
16791 include_sys_time_h="#include <sys/time.h>"
16792else
16793 include_sys_time_h="/* #include <sys/time.h> */"
16794fi
16795if test "$ac_cv_header_sys_time_h" = "no" -o "$ac_cv_header_time" = "yes"; then
16796 include_time_h="#include <time.h>"
16797else
16798 include_time_h="/* #include <time.h> */"
16799fi
16800
16801if test x$support_xft = xyes; then 15692if test x$support_xft = xyes; then
16802 LIBS="$LIBS `pkg-config xft --libs`" 15693 LIBS="$LIBS `pkg-config xft --libs`"
16803 CFLAGS="$CFLAGS `pkg-config xft --cflags`" 15694 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
16804 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 15695 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
16805 15696
17035cat >>confdefs.h <<\_ACEOF 15926cat >>confdefs.h <<\_ACEOF
17036#define XFT 1 15927#define XFT 1
17037_ACEOF 15928_ACEOF
17038 15929
17039 fi 15930 fi
15931fi
15932if test x$support_styles = xyes; then
15933
15934cat >>confdefs.h <<\_ACEOF
15935#define ENABLE_STYLES 1
15936_ACEOF
15937
15938fi
15939if test x$support_iso14755 = xyes; then
15940
15941cat >>confdefs.h <<\_ACEOF
15942#define ISO_14755 1
15943_ACEOF
15944
15945fi
15946if test x$support_8bitctrls = xyes; then
15947
15948cat >>confdefs.h <<\_ACEOF
15949#define EIGHT_BIT_CONTROLS 1
15950_ACEOF
15951
15952fi
15953if test x$support_fading = xyes; then
15954
15955cat >>confdefs.h <<\_ACEOF
15956#define OFF_FOCUS_FADING 1
15957_ACEOF
15958
15959fi
15960if test x$support_tinting = xyes; then
15961
15962cat >>confdefs.h <<\_ACEOF
15963#define TINTING 1
15964_ACEOF
15965
15966fi
15967if test x$support_inheritpixmap = xyes; then
15968
15969cat >>confdefs.h <<\_ACEOF
15970#define TRANSPARENT 1
15971_ACEOF
15972
15973fi
15974if test x$support_keepscrolling = xno; then
15975
15976cat >>confdefs.h <<\_ACEOF
15977#define NO_SCROLLBAR_BUTTON_CONTINUAL_SCROLLING 1
15978_ACEOF
15979
15980fi
15981if test x$support_selectionscrolling = xyes; then
15982
15983cat >>confdefs.h <<\_ACEOF
15984#define SELECTION_SCROLLING 1
15985_ACEOF
15986
15987fi
15988if test x$support_menubar = xyes; then
15989
15990cat >>confdefs.h <<\_ACEOF
15991#define MENUBAR 1
15992_ACEOF
15993
15994fi
15995if test x$support_frills = xyes; then
15996
15997cat >>confdefs.h <<\_ACEOF
15998#define ENABLE_FRILLS 1
15999_ACEOF
16000
16001fi
16002if test x$support_linespace = xno; then
16003
16004cat >>confdefs.h <<\_ACEOF
16005#define NO_LINESPACE 1
16006_ACEOF
16007
16008fi
16009if test x$support_24bit = xyes; then
16010
16011cat >>confdefs.h <<\_ACEOF
16012#define PREFER_24BIT 1
16013_ACEOF
16014
16015fi
16016if test x$support_mousewheel = xyes; then
16017
16018cat >>confdefs.h <<\_ACEOF
16019#define MOUSE_WHEEL 1
16020_ACEOF
16021
16022fi
16023if test x$support_mouseslipwheel = xyes; then
16024
16025cat >>confdefs.h <<\_ACEOF
16026#define MOUSE_SLIP_WHEELING 1
16027_ACEOF
16028
16029fi
16030if test x$support_utmp = xyes; then
16031
16032cat >>confdefs.h <<\_ACEOF
16033#define UTMP_SUPPORT 1
16034_ACEOF
16035
16036fi
16037if test x$support_wtmp = xyes; then
16038
16039cat >>confdefs.h <<\_ACEOF
16040#define WTMP_SUPPORT 1
16041_ACEOF
16042
16043fi
16044if test x$support_lastlog = xyes; then
16045
16046cat >>confdefs.h <<\_ACEOF
16047#define LASTLOG_SUPPORT 1
16048_ACEOF
16049
16050fi
16051if test x$support_xim = xyes -o x$multichar_set = xyes; then
16052 if test x$rxvt_cv_func_xlocale = xyes; then
16053
16054cat >>confdefs.h <<\_ACEOF
16055#define USE_XIM 1
16056_ACEOF
16057
16058 fi
16059fi
16060if test x$support_xpm = xyes; then
16061
16062cat >>confdefs.h <<\_ACEOF
16063#define XPM_BACKGROUND 1
16064_ACEOF
16065
16066fi
16067if test x$support_scroll_rxvt = xyes; then
16068
16069cat >>confdefs.h <<\_ACEOF
16070#define RXVT_SCROLLBAR 1
16071_ACEOF
16072
16073 scrolltypes="rxvt"
16074fi
16075if test x$support_scroll_next = xyes; then
16076
16077cat >>confdefs.h <<\_ACEOF
16078#define NEXT_SCROLLBAR 1
16079_ACEOF
16080
16081 scrolltypes="$scrolltypes next"
16082fi
16083if test x$support_scroll_xterm = xyes; then
16084
16085cat >>confdefs.h <<\_ACEOF
16086#define XTERM_SCROLLBAR 1
16087_ACEOF
16088
16089 scrolltypes="$scrolltypes xterm"
16090fi
16091if test x$support_scroll_plain = xyes; then
16092
16093cat >>confdefs.h <<\_ACEOF
16094#define PLAIN_SCROLLBAR 1
16095_ACEOF
16096
16097 scrolltypes="$scrolltypes plain"
16098fi
16099if test x$support_pointer_blank = xyes; then
16100
16101cat >>confdefs.h <<\_ACEOF
16102#define POINTER_BLANK 1
16103_ACEOF
16104
16105fi
16106if test x$support_cursor_blink = xyes; then
16107
16108cat >>confdefs.h <<\_ACEOF
16109#define CURSOR_BLINK 1
16110_ACEOF
16111
16112fi
16113if test x$support_text_blink = xyes; then
16114
16115cat >>confdefs.h <<\_ACEOF
16116#define TEXT_BLINK 1
16117_ACEOF
16118
16119fi
16120if test x$support_unicode3 = xyes; then
16121
16122cat >>confdefs.h <<\_ACEOF
16123#define UNICODE_3 1
16124_ACEOF
16125
16126fi
16127if test x$support_combining = xyes; then
16128
16129cat >>confdefs.h <<\_ACEOF
16130#define ENABLE_COMBINING 1
16131_ACEOF
16132
16133fi
16134if test x$codesets = xall; then
16135 codesets=jp,jp-ext,kr,zh,zh-ext
16136fi
16137
16138cat >>confdefs.h <<\_ACEOF
16139#define ENCODING_EU 1
16140_ACEOF
16141
16142
16143cat >>confdefs.h <<\_ACEOF
16144#define ENCODING_VN 1
16145_ACEOF
16146
16147for codeset in `echo $codesets | tr "a-z,\\-" "A-Z _"`; do
16148 case "$codeset" in
16149 JP )
16150cat >>confdefs.h <<\_ACEOF
16151#define ENCODING_JP 1
16152_ACEOF
16153 ;;
16154 JP_EXT )
16155cat >>confdefs.h <<\_ACEOF
16156#define ENCODING_JP_EXT 1
16157_ACEOF
16158 ;;
16159 KR )
16160cat >>confdefs.h <<\_ACEOF
16161#define ENCODING_KR 1
16162_ACEOF
16163 ;;
16164 ZH )
16165cat >>confdefs.h <<\_ACEOF
16166#define ENCODING_ZH 1
16167_ACEOF
16168 ;;
16169 ZH_EXT )
16170cat >>confdefs.h <<\_ACEOF
16171#define ENCODING_ZH_EXT 1
16172_ACEOF
16173 ;;
16174 esac
16175done
16176
16177
16178CFLAGS=${CFLAGS--O}
16179LDFLAGS=${LDFLAGS--O}
16180
16181CPPFLAGS="$CPPFLAGS"
16182
16183
16184
16185
16186
16187
16188
16189if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
16190 DLIB=`echo $DLIB | sed "$R_TRANSLATE"`
16191 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
16192 X_LIBS=`echo $X_LIBS | sed "$R_TRANSLATE"`
16193 X_EXTRA_LIBS=`echo $X_EXTRA_LIBS | sed "$R_TRANSLATE"`
16194 XPM_LIBS=`echo $XPM_LIBS | sed "$R_TRANSLATE"`
16195fi
16196
16197
16198
16199
16200
16201if test x$support_addstrings = xno; then
16202
16203cat >>confdefs.h <<\_ACEOF
16204#define NO_STRINGS 1
16205_ACEOF
16206
16207fi
16208
16209MCOMMON=./autoconf/Make.common
16210
16211
16212test "$program_prefix" != NONE &&
16213 program_transform_name="s,^,$program_prefix,;$program_transform_name"
16214# Use a double $ so make ignores it.
16215test "$program_suffix" != NONE &&
16216 program_transform_name="s,\$,$program_suffix,;$program_transform_name"
16217# Double any \ or $. echo might interpret backslashes.
16218# By default was `s,x,x', remove it if useless.
16219cat <<\_ACEOF >conftest.sed
16220s/[\\$]/&&/g;s/;s,x,x,$//
16221_ACEOF
16222program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
16223rm conftest.sed
16224
16225
16226
16227
16228
16229if test "$ac_cv_header_stdint_h" = "yes" -o "$notset" = "dontmatch"; then
16230 include_stdint_h="#include <stdint.h>"
16231else
16232 include_stdint_h="/* #include <stdint.h> */"
16233fi
16234if test "$ac_cv_header_stdarg_h" = "yes" -o "$notset" = "dontmatch"; then
16235 include_stdarg_h="#include <cstdarg>"
16236else
16237 include_stdarg_h="/* #include <cstdarg> */"
16238fi
16239if test "$ac_cv_header_stdlib_h" = "yes" -o "$notset" = "dontmatch"; then
16240 include_stdlib_h="#include <cstdlib>"
16241else
16242 include_stdlib_h="/* #include <cstdlib> */"
16243fi
16244if test "$ac_cv_header_unistd_h" = "yes" -o "$notset" = "dontmatch"; then
16245 include_unistd_h="#include <unistd.h>"
16246else
16247 include_unistd_h="/* #include <unistd.h> */"
16248fi
16249if test "$ac_cv_header_string_h" = "yes" -o "$notset" = "dontmatch"; then
16250 include_string_h="#include <cstring>"
16251else
16252 include_string_h="/* #include <cstring> */"
16253fi
16254if test "$ac_cv_header_fcntl_h" = "yes" -o "$notset" = "dontmatch"; then
16255 include_fcntl_h="#include <fcntl.h>"
16256else
16257 include_fcntl_h="/* #include <fcntl.h> */"
16258fi
16259if test "$ac_cv_header_util_h" = "yes" -o "$notset" = "dontmatch"; then
16260 include_util_h="#include <util.h>"
16261else
16262 include_util_h="/* #include <util.h> */"
16263fi
16264if test "$ac_cv_header_assert_h" = "yes" -o "$notset" = "dontmatch"; then
16265 include_assert_h="#include <assert.h>"
16266else
16267 include_assert_h="/* #include <assert.h> */"
16268fi
16269if test "$rxvt_cv_header_sysioctl" = "yes" -o "$notset" = "dontmatch"; then
16270 include_sys_ioctl_h="#include <sys/ioctl.h>"
16271else
16272 include_sys_ioctl_h="/* #include <sys/ioctl.h> */"
16273fi
16274if test "$ac_cv_header_sys_select_h" = "yes" -o "$notset" = "dontmatch"; then
16275 include_sys_select_h="#include <sys/select.h>"
16276else
16277 include_sys_select_h="/* #include <sys/select.h> */"
16278fi
16279if test "$ac_cv_header_sys_strredir_h" = "yes" -o "$notset" = "dontmatch"; then
16280 include_sys_strredir_h="#include <sys/strredir.h>"
16281else
16282 include_sys_strredir_h="/* #include <sys/strredir.h> */"
16283fi
16284if test "$ac_cv_header_sys_time_h" = "yes" -o "$notset" = "dontmatch"; then
16285 include_sys_time_h="#include <sys/time.h>"
16286else
16287 include_sys_time_h="/* #include <sys/time.h> */"
16288fi
16289if test "$ac_cv_header_sys_time_h" = "no" -o "$ac_cv_header_time" = "yes"; then
16290 include_time_h="#include <time.h>"
16291else
16292 include_time_h="/* #include <time.h> */"
17040fi 16293fi
17041 16294
17042 ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h W11/Makefile" 16295 ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h W11/Makefile"
17043 16296
17044cat >confcache <<\_ACEOF 16297cat >confcache <<\_ACEOF
17702s,@CP@,$CP,;t t 16955s,@CP@,$CP,;t t
17703s,@LN@,$LN,;t t 16956s,@LN@,$LN,;t t
17704s,@SED@,$SED,;t t 16957s,@SED@,$SED,;t t
17705s,@CMP@,$CMP,;t t 16958s,@CMP@,$CMP,;t t
17706s,@TBL@,$TBL,;t t 16959s,@TBL@,$TBL,;t t
16960s,@TIC@,$TIC,;t t
17707s,@X_CFLAGS@,$X_CFLAGS,;t t 16961s,@X_CFLAGS@,$X_CFLAGS,;t t
17708s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t 16962s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
17709s,@X_LIBS@,$X_LIBS,;t t 16963s,@X_LIBS@,$X_LIBS,;t t
17710s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t 16964s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
17711s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t 16965s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines